DPGETI(3NCARG)

NAME
DPGETI - Retrieves the integral value of an internal parameter of type INTEGER or REAL.

SYNOPSIS
CALL DPGETI (PNAM,IVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpgeti (char *pnam, int *ival)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) specifies the name of the parameter to get. The name must appear as the first three characters of the string. Other characters may be used to document the use of the parameter being retrieved; for example, instead of just 'DPL', one can use 'DPL - DASH PATTERN LENGTH'.

IVAL
    (an output variable of type INTEGER) is the name of the variable into which the value of the internal parameter specified by PNAM is to be retrieved. If the internal parameter is a value "i" of type INTEGER, the value returned is "i". If the internal parameter is a value "r" of type REAL, the value returned is "INT(r)".

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Dashpack parameters. For a complete list of parameters available in this utility, see the dashpack_params man page.

ACCESS
To use DPGETI or c_dpgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashpack, dashpack_params, dpcurv, dpdraw, dpfrst, dpgetc, dpgetr, dplast, dpline, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.